%global modname multidict

Name:           python-%{modname}
Version:        4.7.6
Release:        %mkrel 1
Summary:        MultiDict implementation
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/multidict/
Source0:        https://files.pythonhosted.org/packages/65/d4/fabdcc5ee4451c8a8e177e27ddfd131a53a82ecc5a3b68468b7e9f8d70b4/multidict-%{version}.tar.gz

%global _description \
Multidicts are useful for working with HTTP headers, URL query args etc.\
\
The code was extracted from aiohttp library.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  python3-pytest

%description -n python3-%{modname} %{_description}

%prep
%autosetup -n %{modname}-%{version}
sed -i -e '/addopts/d' setup.cfg

%build
%py3_build

%install
%py3_install
rm -f %{buildroot}%{python3_sitearch}/%{modname}/*.{c,pyx}

%files -n python3-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/%{modname}/


%changelog
* Mon Sep 14 2020 guillomovitch <guillomovitch> 4.7.6-1.mga8
+ Revision: 1626347
- new version 4.7.6

* Sun Feb 16 2020 umeabot <umeabot> 4.5.2-3.mga8
+ Revision: 1533711
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 4.5.2-2.mga8
+ Revision: 1445332
- rebuild for python-3.8

* Wed Jan 09 2019 shlomif <shlomif> 4.5.2-1.mga7
+ Revision: 1353401
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 2.1.4-4.mga7
+ Revision: 1300531
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.1.4-3.mga7
+ Revision: 1135507
- Rebuild for python 3.6

* Sun May 14 2017 ngompa <ngompa> 2.1.4-2.mga6
+ Revision: 1101149
- Port to Mageia
- imported package python-multidict


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.4-1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.1.4-1.1
- Rebuild for Python 3.6

* Thu Dec 01 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.1.4-1
- Update to 2.1.4

* Thu Dec 01 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.1.3-1
- Update to 2.1.3

* Mon Nov 07 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.1.2-1
- Update to 2.1.2

* Fri Sep 23 2016 Igor Gnatenko <ignatenko@redhat.com> - 2.1.1-1
- Update to 2.1.1

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-1.1
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Jul 07 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.1.0-1
- Update to 1.1.0
- Trivial fixes

* Thu Jun 23 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.1.0-0.1b4
- Initial package
